# Homework 01 - React Native - Todo application


Write client using  
***taltech.akaver.com*** backend.  

Use swagger for api exploration and testing:  
https://taltech.akaver.com/swagger

Source code for backend: https://gitlab.akaver.com/akaver/com.akaver.taltech  

Endpoints:  
* /api/v1/Account/Login
* /api/v1/Account/Register

Crud endpoints for ToDo-s:  
* /api/v1/TodoCategories
* /api/v1/TodoPriorities
* /api/v1/TodoTasks

Deadlines:  
***Leg 01 - App base, Screens with navigation - 2021-10-07 23:59:59***
***Leg 02 - Context, Login, Logout - 2021-10-14 23:59:59***
***Leg 03 - ToDo screens and CRUD (scrollview), responsive design - 2021-10-21 23:59:59***
***Leg 04 - Fancy UI, swiping, design, dark mode - 2021-10-28 23:59:59***
***Leg 05 - Bonus - Off and online work, sync, data conflict resolving - 2021-11-04 23:59:59***


# Homework 02 - Flutter/Dart- Todo application

ToDoApp

Features to implement

- Create/edit todos (category, priority)
- Delete todo by swiping
- Mark done/not done in list
- Filter todo list by status (all/done/not done)
- Change tasks order via drag-drop
- Change theme (light to dark and vice versa) at runtime
- Login/logout (jwt in state)
- Register new account
- Lists, dragging, swiping

Bonus
- Work offline (local db)
- State and SQLite
- Sync to ASP.NET backend

Backend source: https://git.akaver.com/taltech-public/com.akaver.taltech
backend to use: https://taltech.akaver.com

Deadlines:  
***Leg 01 - App base, Screens with navigation - 2021-10-28 23:59:59***
***Leg 02 - State, Login, Logout, Register - 2021-11-04 23:59:59***
***Leg 03 - ToDo screens and CRUD (lists)(Tabs and Lists) - 2021-11-11 23:59:59***
***Leg 04 - Fancy UI, swiping, design, dark mode, rotation - 2021-11-18 23:59:59***
***Leg 05 - Bonus - Off and online work, sync, data conflict resolving - 2021-12-02 23:59:59***
